Modification in variation_variable_declarations to change the return values of the function for some

cases of headers
09/02/2021 02:08 PM - Nandini Bansal

Status: Closed Start date: 09/02/2021
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 3.00 hours
Target version: P1 Spent time: 0.00 hour
Description

variation_variable_declarations function is responsible for generating header variants for headers which follow the format
"data_type_1 (data_type_2..data_type_n) variable_name". This function returns a special flag called variable_flag. If this flag is
TRUE, it means that the header variant has been processed by this function and we must NOT process it using any other header

variation function.

This flag is only turned TRUE when the variable_name exists outside the 20K common word list and we need to modify this.

Changes are as follows:

Part A.1. If the header follows the above format and is a subsection header then if the header variant is within the 20K common word

list, do NOT add any header variant from this header.

E.g. intisolated, int inspect

Part B.1. If the header follows the above format, irrespective of whether variable_name is within 20K words or not, we need to
ensure that the entire header (i.e. the original form) is NOT added to the header variants list for which KPs are to be searched.

History

#1 - 09/06/2021 01:25 PM - Nandini Bansal

- Assignee set to Anonymous

#2 - 10/13/2021 12:27 PM - Anonymous

- Status changed from New to Resolved

#3 - 10/20/2021 08:40 AM - Nandini Bansal

- Status changed from Resolved to Closed
